KNOCKPY(1)

NAME
knockpy - Python3 tool designed to enumerate subdomains on a target domain

DESCRIPTION
usage: knockpy [-h] [-v] [--no-local] [--no-remote] [--no-http]

    [--no-http-code CODE [CODE ...]] [--dns DNS] [-w WORDLIST] [-o FOLDER] [-t SEC] [-th NUM] domain

-------------------------------------------------------------------------------- * SCAN full scan: knockpy domain.com ignore code: knockpy domain.com --no-http-code 404 500 530 threads: knockpy domain.com -th 50 timeout: knockpy domain.com -t 2

* REPORT show report: knockpy --report knockpy_report/domain.com_yyyy_mm_dd_hh_mm_ss.json plot report: knockpy --plot knockpy_report/domain.com_yyyy_mm_dd_hh_mm_ss.json csv report: knockpy --csv knockpy_report/domain.com_yyyy_mm_dd_hh_mm_ss.json

* SETTINGS set apikey: knockpy --set apikey-virustotal=APIKEY set timeout: knockpy --set timeout=sec set threads: knockpy --set threads=num --------------------------------------------------------------------------------

  positional arguments:

domain
    target to scan

  optional arguments:

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

--no-local
    local wordlist ignore

--no-remote
    remote wordlist ignore

--no-http
    http requests ignore

--no-http-code CODE [CODE ...]
    http code list to ignore

--dns DNS
    use custom DNS ex. 8.8.8.8

-w WORDLIST
    wordlist file to import

-o FOLDER
    report folder to store json results

-t SEC
    timeout in seconds

-th NUM
    threads num

warning: apikey virustotal is missing (https://www.virustotal.com/)

once you get knockpy results, don't forget to use 'nmap' and 'dirsearch'

never give up!